package hu.bme.mit.gamma.impl.crossroad;

import hu.bme.mit.gamma.impl.interfaces.PoliceInterruptInterface;
import hu.bme.mit.gamma.impl.interfaces.LightCommandsInterface;

public interface CrossroadComponentInterface {
	
	PoliceInterruptInterface.Required getPolice();
	LightCommandsInterface.Provided getPriorityOutput();
	LightCommandsInterface.Provided getSecondaryOutput();
	
	void runCycle();
	void runFullCycle();
	
} 
