package hu.bme.mit.gamma.impl.interfaces;

public interface LightCommandsInterface {
	
	interface Provided extends Listener.Required {
	
		public boolean isRaisedDisplayGreen();
		public boolean isRaisedDisplayNone();
		public boolean isRaisedDisplayRed();
		public boolean isRaisedDisplayYellow();
		void registerListener(Listener.Provided listener);
	}
	
	interface Required extends Listener.Provided {
		
		
		void registerListener(Listener.Required listener);
	}
	
	interface Listener {
		
		interface Provided  {
			void raiseDisplayGreen();
			void raiseDisplayNone();
			void raiseDisplayRed();
			void raiseDisplayYellow();
		}
		
		interface Required   {
		}
		
	}
} 
