package hu.bme.mit.gamma.impl.interfaces;

public interface ControlInterface {
	
	interface Provided extends Listener.Required {
	
		public boolean isRaisedToggle();
		void registerListener(Listener.Provided listener);
	}
	
	interface Required extends Listener.Provided {
		
		
		void registerListener(Listener.Required listener);
	}
	
	interface Listener {
		
		interface Provided  {
			void raiseToggle();
		}
		
		interface Required   {
		}
		
	}
} 
