package hu.bme.mit.gamma.impl.controller;

import hu.bme.mit.gamma.impl.interfaces.ControlInterface;
import hu.bme.mit.gamma.impl.interfaces.PoliceInterruptInterface;

public interface ControllerDeclarationInterface {
	
	ControlInterface.Provided getPriorityControl();
	ControlInterface.Provided getSecondaryControl();
	PoliceInterruptInterface.Provided getPriorityPolice();
	PoliceInterruptInterface.Provided getSecondaryPolice();
	PoliceInterruptInterface.Required getPoliceInterrupt();
	
	void runCycle();
	
} 
