package hu.bme.mit.gamma.impl.monitoredcrossroad;

import hu.bme.mit.gamma.impl.interfaces.PoliceInterruptInterface;
import hu.bme.mit.gamma.impl.interfaces.MonitorInterface;
import hu.bme.mit.gamma.impl.interfaces.LightCommandsInterface;

public interface MonitoredCrossroadComponentInterface {
	
	PoliceInterruptInterface.Required getPolice();
	MonitorInterface.Provided getMonitorOutput();
	LightCommandsInterface.Provided getSecondaryOutput();
	LightCommandsInterface.Provided getPriorityOutput();
	
	void runCycle();
	void runFullCycle();
	
} 
