package hu.bme.mit.gamma.impl.interfaces;

public interface ExecutableInterface {
	
	interface Provided extends Listener.Required {
	
		void registerListener(Listener.Provided listener);
	}
	
	interface Required extends Listener.Provided {
		
		public boolean isRaisedExecute();
		
		void registerListener(Listener.Required listener);
	}
	
	interface Listener {
		
		interface Provided  {
		}
		
		interface Required   {
			void raiseExecute();
		}
		
	}
} 
